﻿$ErrorActionPreference = 'Stop';
$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName  
  unzipLocation = "$toolsDir"

  url           = 'https://download.microsoft.com/download/0/d/9/0d9d81cf-4ef2-4aa5-8cea-95a935ee09c9/PortQryV2.exe'
  checksum      = '6471c5190a99e3d1f337fcfef1fc410e8d487b66e093f924700e186cbd398dc0'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs

$packageArgs = @{
  packageName = $packageName
  fileType    = 'EXE'
  file        = "$toolsDir\PORTQR~1.EXE"
  silentArgs  = '/auto'
}

Install-ChocolateyInstallPackage @packageArgs
Remove-Item -Path $packageArgs.file

Install-BinFile -Name PortQry -Path "C:\PortQryV2\PortQry.exe"
